# Class IRevisionRulerColumnExtension.RenderingMode

java.lang.Object
org.eclipse.jface.text.revisions.IRevisionRulerColumnExtension.RenderingMode

Enclosing interface:
  `IRevisionRulerColumnExtension`

public static final class IRevisionRulerColumnExtension.RenderingMode extends Object
Rendering mode type-safe enum.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
Returns the name of the rendering mode.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### name

public String name()
Returns the name of the rendering mode.

Returns:
  the name of the rendering mode